<?xml version="1.0"?>
<block>
  <name>ARMA</name>
  <key>sprectrum_tools_ARMA</key>
  <category>[sprectrum_tools]</category>
  <import>import sprectrum_tools</import>
  <make>sprectrum_tools.ARMA($P, $Q, $lag, $NFFT, $sampling, $scale_by_freq)</make>
  <!-- Make one 'param' node for every Parameter you want settable from the GUI.
       Sub-nodes:
       * name
       * key (makes the value accessible as $keyname, e.g. in the make node)
       * type -->
  <param>
    <name>P</name>
    <key>P</key>
    <value>15</value>
    <type>int</type>
  </param>

  <param>
    <name>Q</name>
    <key>Q</key>
    <value>15</value>
    <type>int</type>
  </param>

  <param>
    <name>lag</name>
    <key>lag</key>
    <value>30</value>
    <type>int</type>
  </param>

  <param>
    <name>NFFT</name>
    <key>NFFT</key>
    <value>1024</value>
    <type>int</type>
  </param>

  <param>
    <name>sampling</name>
    <key>sampling</key>
    <value>1.0</value>
    <type>float</type>
  </param>

  <param>
    <name>scale_by_freq</name>
    <key>scale_by_freq</key>
    <type>enum</type>
	<option>
		<name>False</name>
		<key>False</key>
	</option>
	<option>
		<name>True</name>
		<key>True</key>
	</option>
  </param>


  <!-- Make one 'sink' node per input. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
  <sink>
    <name>in</name>
    <type>complex</type>
    <vlen>$NFFT</vlen>
  </sink>

  <!-- Make one 'source' node per output. Sub-nodes:
       * name (an identifier for the GUI)
       * type
       * vlen
       * optional (set to 1 for optional inputs) -->
  <source>
    <name>out</name>
    <type>float</type>
    <vlen>$NFFT</vlen>
  </source>

 <doc>
Clase para crear PSD usando el estimador ARMA (https://pyspectrum.readthedocs.io/en/latest/autosum.html).

class parma(data, P, Q, lag, NFFT=None, sampling=1.0,scale_by_freq=False)

PARAMETROS.

Nombre		Tipo de dato 	Descripción

Data:(array) input data (list o numpy.array)
P:(int) número deseado de parámetros AR
Q:(int) número deseado de parámetros de MA
Lag:(int) retraso máximo a utilizar para las estimaciones de autocorrelación
NFFT:(int) Tamaño total del conjunto de datos final (valor predeterminado 4096).
sampling:(float)frecuencia de muestreo de la entrada data.



 </doc>
</block>
